#ifndef funcs_h
#define funcs_h
#include <string>
#include "z.h"

// string functions:

unsigned int counttokens (const string , const char  &                     );
string       gettoken    (const string , const char  &, const unsigned int&);
bool         isin        (const string&, const char  &                     );
bool         isletter    (const char  &                                    );
bool         isnumeric   (const string&                                    );
string       left        (const string&,                const unsigned int&);
string       lower       (      string                                     );
string       ltrim       (const string                                     );
string       replicate   (const char  &,                const unsigned int&);
string       repsubstring(      string , const string&, const string      &);
string       right       (const string&,                const unsigned int&);
string       rtrim       (const string                                     );
string       space       (                              const unsigned int&);
string       str         (      Z      , const unsigned long &l = 0        );
string       trim        (const string                                     );
string       upper       (      string                                     );
Z            val         (const string&                                    );

// other functions:
unsigned int CurrentDate (                  );
unsigned int CurrentTime (                  );
string       FormatTime  (      int         );
Z            Rand        (const Z&, const Z&);
void         RandSeed    (                  );
int          timer       (const char&       );

#endif

